#mapid{
    width: 100%;
    height: calc(100vh - 60px);
}

.legend {
    padding: 6px 8px;
    font: 14px/16px Arial, Helvetica, sans-serif;
    background: white;
    background: rgba(255,255,255,0.9);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
}
.legend {
    line-height: 18px;
    color: #555;
}
.legend i {
    width: 18px;
    height: 18px;
    float: left;
    margin-right: 8px;
    opacity: 0.7;
}

#sidebar {
    height: 100%;
    width: 400px;
    position: absolute;
    top: 0;
    right: 0;
    background-color: white;
    overflow-y: auto;
    padding: 10px;
    z-index: 9999;
    visibility:hidden;
  }
  #close_sidebar {
    position: relative;
    display: inline-block;
    width: 24px;
    height:24px;
    overflow: hidden;
    cursor: pointer;
    float: right;
    margin: 16px 8px;
  }
  #close_sidebar:hover::before, #close_sidebar:hover::after {
    background: #004650;
  }
  #close_sidebar::before, #close_sidebar::after {
    content: "";
    position: absolute;
    width: 100%;
    top: 50%;
    left: 0;
    height: 2px;
    margin-top: -1px;
    background: #000;
  }
  #close_sidebar::before {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
  }
  #close_sidebar::after {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
  }

#sidebar h2{
    font-size: 20px;
    padding: 0 16px;
}
#sidebar ul{
    padding: 0;
    margin: 0;
    list-style: none;
}
#sidebar  ul li{
    display: grid;
    grid-template-columns: 50% 1fr;
    padding: 12px 16px;
}
#sidebar  ul li:nth-child(even){
    background-color: #fafafa;
}
.leaflet-control-layers{
    padding: 6px 8px !important;
    font: 14px/16px Arial, Helvetica, sans-serif !important;
    background: white !important;
    background: rgba(255,255,255,0.9) !important;
    box-shadow: 0 0 15px rgba(0,0,0,0.2) !important;
    border-radius: 4px !important; 
    border:0 !important ;
    width: 200px;
}
.leaflet-control-layers .leaflet-control-layers-overlays label div {
    padding: 0 8px 0 0;
    height: 32px;
    display: grid;
    grid-template-columns: 24px 1fr;
    align-items: center;
    cursor: pointer;
}

.biip_view {
    background-color: #fff;
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 4px;
    padding: 6px;
    font-size: 14px;
    text-align: center;
    display: grid;
    grid-template-columns: 50% 1fr;
    width: 200px;
  }





  .biip_view #biip_table_view,
  .biip_view #biip_map_view{
    border:0;
    background-color: transparent;
    cursor:pointer;
    height: 28px;
    display: flex;
    align-items: center;
    gap: 4px;
    color:#333;
    border-radius: 4px;
  }

  .biip_view #biip_table_view.active,
  .biip_view #biip_map_view.active{
    color:#004650;
  }
  .biip_view #biip_table_view.active svg,
  .biip_view #biip_map_view.active svg{
    fill:#004650;
  }
  .biip_view #biip_table_view:hover,
  .biip_view #biip_map_view:hover{
    background-color: #0046501A;
  }

  .biip-select {
    display: block;
    width: 100%;
    padding: 0.6125rem 3rem 0.6125rem 1rem;
    -moz-padding-start: calc(1rem - 3px);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #1e2022;
    background-color: #fff;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%2371869d' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 1rem center;
    background-size: 16px 12px;
    border: 0.0625rem solid rgba(33,50,91,.1);
    border-radius: 0.3125rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    appearance: none;

    
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 1rem;
    font-size: .875rem;
    border-radius: 0.3125rem;
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
}
.biip-select:focus-visible {
  outline: none;
}
.table_view_header{
  display: flex;
  justify-content: space-between;
  padding: 10px;
}
div#table_view_select {
  display: flex;
  gap: 15px;
}
#info_table_wrapper{
  background-color: #fff;
  box-shadow: 0 0 15px rgba(0,0,0,0.2);
  margin:16px 10px 16px 10px;   
  padding: 24px;
  border-radius: 8px;
}

.biip_table_header{
  font-size: 20px;
  font-weight: 700;
}

#info_table_wrapper tbody{
  color: rgb(107 114 128);
    font-size: 14px;
}
#info_table_wrapper tbody td:first-child{
  color: rgb(17 24 39);
  font-weight: 600;
}
#info_table.dataTable tbody th, 
#info_table.dataTable tbody td {
  padding: 11px 10px;    
  border-top: 1px solid #e5e7eb;
}
#info_table.dataTable thead th, 
#info_table.dataTable thead td {
  padding: 10px;
  border-bottom: none;
}
#info_table_wrapper .dataTable.no-footer{
  border-bottom: 1px solid #e5e7eb;
}
#info_table_wrapper thead{
  color: rgb(17 24 39);
    font-size: 14px;
    background-color:#0046501A;
}
#info_table_wrapper .bottom{
  margin-top:16px;
  border:none
}
#info_table_wrapper .top{
  margin-bottom:16px;
  border:none;
  display: flex;
  justify-content: space-between;
}

#info_table_wrapper .dataTables_info{
  color:rgb(107 114 128);
  font-size: 14px;
}
#info_table_wrapper .dataTables_paginate span a,
#info_table_wrapper .dataTables_paginate a{
  font-size: 14px;
  color:rgb(107 114 128);
}
 
#info_table_wrapper .dataTables_paginate span a {
  color: #fff;
  background-color: #fff;
  border-color: #fff;
  box-shadow: none;
}
#info_table_wrapper .dataTables_paginate span a.current {
  background-color: #004650;
  color: #fff !important;
  box-shadow: none;
  border-radius: 4px;
}

#info_table_wrapper .dataTables_paginate .paginate_button:hover {
  color: white !important;
  border: 1px solid #004650 !important;
  background: #004650 !important;
}

#info_table_filter input {
  margin: 0;
  padding: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  padding: 0.5rem 0.75rem;
  outline: 0;
  width: 100%;
  background-color: white;
  font-size: 1rem;
  color: var(--am-text-color);
  border: 1px solid var(--am-border-color);
  border-radius: 4px;
  height: 40px;
  line-height: 27px;
  font-family: inherit;
}
#info_table_filter input:focus {
  border-color: var(--am-secondary-color);
  box-shadow: var(--am-box-shadow);
}
#info_table_filter label{
  display: flex;
  align-items: center;
  gap: 16px;
}
.read-more{
  color:var(--e-global-color-accent);
}
div.dataTables_processing>div:last-child>div{
  background: var(--e-global-color-accent);
}
table.collapsed td.dtr-control {
  padding-left: 30px !important;
}
#mapid iframe{
  height:100%;
  width: 100%;
}
#table-select{
  min-width:200px;
}
@media(max-width:580px){
  .biip_view{
    width:100%;
  }
  #table_view_select{
    width: 100%;
  }
  .table_view_header{
    flex-wrap: wrap;
    gap:15px;
  }
}
@media(max-width:425px){
  #table_view_select{
    width: 100%;
    flex-wrap: wrap;
  }
  table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control {
    padding-left: 30px !important;
  }
  #info_table_wrapper .top{
    flex-wrap: wrap;
  }
 
}